ProyectoCrm/src/app/Modulos/ArticuloModulo/Paginas/fw-articulo/Componentes/fw-articulo-cabecera/fw-articulo-cabecera.component.pug
div.form-row
  div.form-group.col-12.col-lg-8
    div.form-row.text-center
      div.form-group.col-12.col-lg-10
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-barcode
          input(type="text",
                  [readonly]="tBloquearBuscar",
                  placeholder="Artículo",
                  [(ngModel)]="tArticulo.Codarticulo",
                  size="sm")#txtCodArticulo.ControlInput--Input
      div.form-group.col-12.col-lg-2
        div(role="toolbar",
            aria-label="Toolbar with button groups").btn-toolbar
          div(role="group").btn-group.btn-group-sm.mr-1
            button(type="button", [disabled]="tEditar", (click)="Buscar()").btn.btn-outline-primary
              i.fas.fa-search
          div(role="group").btn-group.btn-group-sm
            button(type="button", [disabled]="tEditar", (click)="AbrirModal()").btn.btn-outline-info
              i.fas.fa-list
    div.form-row
      div.form-group.col-12
        label(for="txtDescripcion").form-label.h6 Descripción corta
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-keyboard
          input(type="text",
                  [(ngModel)]="tArticulo.Descripcion",
                  placeholder="Descripción corta",
                  name="Descripcion",
                  required="",
                  size="sm")#txtDescripcion.ControlInput--Input
    div.form-row
      div.form-group.col-12
        div.input-group
          textarea(placeholder="Descripción larga",
                  name="Descripcion2",
                  required="",
                  [(ngModel)]="tArticulo.Descripcion2",
                  rows="5").form-control.form-control-sm
  div.form-group.col-12.col-lg-4
    img([src]="ObtenerImagenPrincipal()",
        alt="").ImagenPrincipal

ProyectoCrm/src/app/Modulos/ArticuloModulo/Paginas/fw-articulo/Componentes/fw-articulo-cabecera/fw-articulo-cabecera.component.html

<div class="form-row">
  <div class="form-group col-12 col-lg-8">
    <div class="form-row text-center">
      <div class="form-group col-12 col-lg-10">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
          <input class="ControlInput--Input" type="text" [readonly]="tBloquearBuscar" placeholder="Artículo" [(ngModel)]="tArticulo.Codarticulo" size="sm" id="txtCodArticulo"/>
        </div>
      </div>
      <div class="form-group col-12 col-lg-2">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group btn-group-sm mr-1" role="group">
            <button class="btn btn-outline-primary" type="button" [disabled]="tEditar" (click)="Buscar()"><i class="fas fa-search"></i></button>
          </div>
          <div class="btn-group btn-group-sm" role="group">
            <button class="btn btn-outline-info" type="button" [disabled]="tEditar" (click)="AbrirModal()"><i class="fas fa-list"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6" for="txtDescripcion">Descripción corta</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-keyboard"></i></span></div>
          <input class="ControlInput--Input" type="text" [(ngModel)]="tArticulo.Descripcion" placeholder="Descripción corta" name="Descripcion" required="" size="sm" id="txtDescripcion"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="input-group">
          <textarea class="form-control form-control-sm" placeholder="Descripción larga" name="Descripcion2" required="" [(ngModel)]="tArticulo.Descripcion2" rows="5"></textarea>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-4"><img class="ImagenPrincipal" [src]="ObtenerImagenPrincipal()" alt=""/></div>
</div>
